/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer: ...
*/

#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_COLLISION_REACTION

#include "cr_engine.h"

using namespace std;


/**
 * standard constructor
 */
CREngine::CREngine ()
  : BaseObject()
{
   this->setClassID(CL_CR_ENGINE, "CREngine");
   this->setName("CREngine");

}

/**
 *  the singleton reference to this class
 */
CREngine* CREngine::singletonRef = NULL;

/**
   @brief standard deconstructor
 */
CREngine::~CREngine ()
{
  CREngine::singletonRef = NULL;
}



/**
 * subscribes a WorldEntity for a CollisionReaction
 *  @param owner: the WE to subscribe
 *  @param type: the type of collision reaction to perform
 */
CollisionHandle* CREngine::subscribeReaction(WorldEntity* owner, CRType type)
{

}

bool CREngine::unsubscribeReaction(WorldEntity* worldEntity)
{}


bool CREngine::unsubscribeReaction(CollisionHandle* collisionHandle)
{}


void CREngine::handleCollisions()
{}



void CREngine::debug()
{

}